#!/bin/bash
#SBATCH --job-name=mumax-3.10-case
#SBATCH --partition=ampere
#SBATCH --gres=gpu:1
#SBATCH --nodes=1
#SBATCH --time=1:00:00

module load gcc/12.2.0 gnuplot mumax

# start server in the background (& means background)
mumax3-server &
# wait for server to start
sleep 10
# execute an input script
mumax3 sample.mx3
# process output
mumax3-convert -png sample.out/*.ovf
